FROM node:14.18.1-alpine3.12

ARG SERVER_PORT
ARG APP_PORT
ARG SERVER_JWT_SECRET
ARG CLIENT_URL
ARG SERVER_ADDRESS
ARG DEV_MASTER_API
ARG S3_BUCKET
ARG REGION
ARG ACCESS_KEY
ARG SECRET_ACCESS_KEY
ARG DIR_NAME
ARG MYSQL_HOST
ARG MYSQL_PORT
ARG MYSQL_USER
ARG MYSQL_PASSWORD
ARG MYSQL_DATABASE

WORKDIR /app
RUN npm install --global --force yarn
COPY . ./
RUN yarn
RUN yarn build
EXPOSE 3001
CMD yarn start:prod
